package cc.smtweb.system.bpm.web.sys.user.menu;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Set;

/**
 * Created by 1 at 2022-08-03 08:53:34
 * 实体【[菜单定义](SYS_MENU)】的缓存类
 */
@SwCache(ident = "SYS_MENU", title = "菜单定义")
public class MenuCache extends AbstractEntityCache<Menu> {
    //缓存key：按编码
    public final static String mk_code = "code";

    public static MenuCache getInstance() {
        return CacheManager.getIntance().getCache(MenuCache.class);
    }

    public MenuCache() {
        //缓存key：按编码
        regMap(mk_code, "sm_seq");
    }

    //缓存key：按编码
    public final Menu getByCode(String key) {
        return getByKey(mk_code, key);
    }
}
